Bug 484402 - The GUI configuration freezes
The GUI configuration freezes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 11:14 EST by A. Mani
Modified: 2009-02-24 15:59 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.15-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:47:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Mani 2009-02-06 11:14:59 EST
Description of problem:

The GUI configuration tool becomes unresponsive to both keyboard and mouse

Version-Release number of selected component (if applicable):


How reproducible:

Start system-config-printer with super-user privileges with Local USB printer (Epson Stylus C58) in ON condition.
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

(system-config-printer.py:9348): GVFS-RemoteVolumeMonitor-WARNING **: cannot connect to the session bus: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.                                 
No ID match for device usb://EPSON/Stylus%20C58:                
  <manufacturer>EPSON</manufacturer>                            
  <model>Stylus C58</model>
  <description>EPSON Stylus C58</description>
  <commandset>ESCPL2,BDC,D4,D4PX</commandset>
Using foomatic:Epson-Stylus_C50-gutenprint-ijs-simplified.5.2.ppd
Unhandled exception in thread started by
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2997, in getJockeyDriver_thread
    bus = dbus.SessionBus()
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 219, in __new__
    mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 108, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 125, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remoteapplication did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

^CCaught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/system-config-printer.py", line 3318, in nextNPTab
    if self.fetchJockeyDriver ():
File "/usr/share/system-config-printer/system-config-printer.py", line 3045, in fetchJockeyDriver
    time.sleep (0.1)
KeyboardInterrupt
Continuing anyway..


__________________

Dialogue box hangs at Select Device stage

______________________
Comment 1 Tim Waugh 2009-02-10 07:50:47 EST
Fixed upstream.
Comment 2 Fedora Update System 2009-02-24 15:47:08 EST
system-config-printer-1.0.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-02-24 15:58:57 EST
system-config-printer-1.0.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.